McastServiceImpl.RecoveryThread (Apache Tomcat 9.0.68 API Documentation)

Package org.apache.catalina.tribes.membership

## Class McastServiceImpl.RecoveryThread

- java.lang.Object
- - java.lang.Thread
  - - org.apache.catalina.tribes.membership.McastServiceImpl.RecoveryThread

- All Implemented Interfaces:
    `java.lang.Runnable`
  Enclosing class:
    McastServiceImpl

      protected static class McastServiceImpl.RecoveryThread
      extends java.lang.Thread

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RecoveryThread​(McastServiceImpl parent)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `recover​(McastServiceImpl parent)` |
    `void` | `run()` |
    `boolean` | `startService()` |
    `boolean` | `stopService()` |

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, onSpinWait, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RecoveryThread

          public RecoveryThread​(McastServiceImpl parent)

  - ### Method Detail

    - #### recover

          public static void recover​(McastServiceImpl parent)

    - #### stopService

          public boolean stopService()

    - #### startService

          public boolean startService()

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`
      Overrides:
        `run` in class `java.lang.Thread`